<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Companies</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Companies
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Companies</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Companies</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/masterdata/companies/save}" th:object="${companies}" method="post">
                    <div class="box-body">

<!--                        <div class="form-group">-->
<!--                            <label for="companyType" class="col-sm-2 control-label">Type</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{companyType}" name="companyType" id="companyType" placeholder="Company Type">-->
<!--                                <p th:if="${#fields.hasErrors('companyType')}" th:errors="*{companyType}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

                        <div class="form-group">
                            <label for="companyType" class="col-sm-2 control-label">Type</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="companyType" th:field="*{companyType}" id="companyType" style="width: 100%;" onchange="isiType()">
                                    <option th:value="HQ">Head Quarter</option>
                                    <option th:value="BRANCH">Branch</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group" id="comp">
                            <label for="mainCompany" class="col-sm-2 control-label">Head Quarter</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="mainCompany" th:field="*{mainCompany}" id="mainCompany" style="width: 100%;">
                                    <option th:each="data : ${listCompanies}"
                                            th:text="${data.companyName}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="companyName" class="col-sm-2 control-label">Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{companyName}" name="companyName" id="companyName" placeholder="Company Name">
                                <p th:if="${#fields.hasErrors('companyName')}" th:errors="*{companyName}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="regNumber" class="col-sm-2 control-label">Reg Number</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{regNumber}" name="regNumber" id="regNumber" placeholder="Reg Number" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="address" class="col-sm-2 control-label">Address</label>

                            <div class="col-sm-10">
                                <textarea type="text" class="form-control" th:field="*{address}" name="address" id="address"></textarea>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="regency" class="col-sm-2 control-label">Regency</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{regency}" name="regNumber" id="regency" placeholder="Regency" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="country" class="col-sm-2 control-label">Country</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{country}" name="country" id="country" placeholder="Country" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="postalCode" class="col-sm-2 control-label">Postal Code</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{postalCode}" name="postalCode" id="postalCode" placeholder="Postal Code" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="description" class="col-sm-2 control-label">Description</label>

                            <div class="col-sm-10">
                                <textarea type="text" class="form-control" th:field="*{description}" name="address" id="description"></textarea>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="status"  class="col-sm-2 control-label">Status</label>
                            <div class="col-sm-10">
                                <input name="status" id="status" type="checkbox" class="flat-red" th:field="*{status}" value="AKTIF" >
                            </div>
                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/masterdata/companies}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })


            var companyType = document.getElementById("companyType").value;
            if(companyType == 'HQ'){
                $("#comp").hide();
            }else {
                $("#comp").show();
            }


            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        function isiType() {
            var companyType = document.getElementById("companyType").value;
            if(companyType == 'HQ'){
                $("#comp").hide();
            }else {
                $("#comp").show();
            }
        }
    </script>
</section>
</body>
</html>
</body>
</html>